Subject: Re: bug#11749: Acknowledgement (24.1; C-mode indentation gives wrong-type-argument error.)

From: Alan Mackenzie <[email-masked]>
Date: Wed, 5 Sep 2012 20:48:21 +0000

Hello, Kim.

On Mon, Sep 03, 2012 at 11:47:00AM +0200, Kim Storm wrote:
> On 2012-09-02 23:16, Alan Mackenzie wrote:
> > Yes. It looks like the "state cache" (a cache of certain brace, paren 
> > and bracket positions) has got corrupted.
> > This is difficult to make repeatable, and is very dependent upon the 
> > exact navigation taken around the C buffer.
> Well - my navigation triggers that bug a lot.

It's strange that it doesn't seem to be happening much to other people.

[ .... ]

> > I've not been able to reproduce it in that limited context.  It looks
> > like another bug in the state cache, and they're bastards.
> Any way of clearing the cache?

M-: c-state-cache-init.  As a workaround, you could turn that into a
command and bind it to a spare C-c C-<letter>.

> > Might you have something unusual in your CC Mode config?
> I have this:

> (modify-syntax-entry ?_ "w" c-mode-syntax-table)

That shouldn't be causing the current problem.

> But otherwise, I don't seem to have any customizations ... only an 
> awkward programming style :-)

Thanks for the config!

-- 
Alan Mackenzie (Nuremberg, Germany).